org.codehaus.plexus.component.discovery

## Interface ComponentDiscoveryListener

    public interface ComponentDiscoveryListener

A listener which responds in some way to component discovery by a PlexusContainer.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `componentDiscovered(ComponentDiscoveryEvent event)` Signals to this listener that a component has been discovered.

### Method Detail

#### componentDiscovered

    void componentDiscovered(ComponentDiscoveryEvent event)

Signals to this listener that a component has been discovered.

Parameters:
  `event` - the event that signals what components have been discovered